package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProtDisease;
import com.huimv.admin.mapper.ProtDiseaseMapper;
import com.huimv.admin.service.IProtDiseaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 生产管理疾病登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@RestController
@RequestMapping("/prot-disease")
@CrossOrigin
public class ProtDiseaseController {

    @Autowired
    private IProtDiseaseService diseaseService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return diseaseService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody ProtDisease disease) {
        disease.setCreateTime(new Date());
        diseaseService.save(disease);
        return new Result(10000, "添加成功！", true);
    }
}
