package com.huimv.admin.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProtEnvDevice;
import com.huimv.admin.service.IProtEnvDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 生产管理舍内设备 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-14
 */
@RestController
@RequestMapping("/prot-env-device")
@CrossOrigin
public class ProtEnvDeviceController {

    @Autowired
    private IProtEnvDeviceService deviceService;

    @RequestMapping("/listDevice")
    public Result listDevice(@RequestBody Map<String, String> paramsMap) {
        return deviceService.listDevice(paramsMap);
    }

    @RequestMapping("/delete")
    public Result delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        String[] split = ids.split(",");
        for (String s : split) {
            deviceService.removeById(s);
        }
        return new Result(10000, "删除成功！", true);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody ProtEnvDevice protEnvDevice) {
        int count = deviceService.count(new QueryWrapper<ProtEnvDevice>().eq("device_code", protEnvDevice.getDeviceCode()));
        if (count > 0) {
            return new Result(10001, "添加失败，设备编码已存在！", false);
        }
        protEnvDevice.setCreateTime(new Date());
        protEnvDevice.setDeviceStatus(0);
        deviceService.save(protEnvDevice);
        return new Result(10000, "添加成功！", true);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody ProtEnvDevice protEnvDevice) {
        int count = deviceService.count(new QueryWrapper<ProtEnvDevice>().eq("device_code", protEnvDevice.getDeviceCode())
                .ne("id", protEnvDevice.getId()));
        if (count > 0) {
            return new Result(10001, "修改失败，设备编码已存在！", false);
        }
        protEnvDevice.setCreateTime(new Date());
        deviceService.updateById(protEnvDevice);
        return new Result(10000, "修改成功！", true);
    }
}
