package com.huimv.admin.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProtSheepInfo;
import com.huimv.admin.entity.ProtTransfer;
import com.huimv.admin.service.IProtBatchService;
import com.huimv.admin.service.IProtSheepInfoService;
import com.huimv.admin.service.IProtTransferService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产管理挑拨转舍 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@RestController
@RequestMapping("/prot-transfer")
@CrossOrigin
public class ProtTransferController {
    @Autowired
    private IProtTransferService transferService;
    @Autowired
    private IProtSheepInfoService sheepInfoService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return transferService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody ProtTransfer transfer) {
        /*if ("".equals(transfer) || null == transfer.getBatchNum()) {
            //说明是单只羊进行转舍
            sheepInfoService.getOne(new QueryWrapper<>().eq("sheep_id",))
        } else*/
        {
            //需要根据批次号去查询羊只数量并且修改羊只信息中的批次号
            String batchNum = transfer.getBatchNum();
            QueryWrapper<ProtSheepInfo> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("batch_num", batchNum);
            List<ProtSheepInfo> sheepInfos = sheepInfoService.list(queryWrapper);
            for (ProtSheepInfo sheepInfo : sheepInfos) {
                sheepInfo.setUnitId(transfer.getToBuildId());
                sheepInfo.setUnitName(transfer.getToBuildName());
                sheepInfoService.updateById(sheepInfo);
            }
        }
        transferService.save(transfer);
        return new Result(10000, "新增成功！", true);
    }
}
