package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管理批次记录
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_batch")
public class ProtBatch implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 平均日龄
     */
    private Integer avgDay;

    /**
     * 平均体重（kg）
     */
    private Double avgWeight;

    /**
     * 批次编码
     */
    private String batchNum;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 羊只数量
     */
    private Integer number;

    /**
     * 操作人
     */
    private String registerUser;

    /**
     * 牧场编码
     */
    private Integer farmId;


}
