package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管理疾病登记
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_disease")
public class ProtDisease implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 疾病名称
     */
    private String disease;

    /**
     * 是否隔离 0 未隔离 1已隔离
     */
    private Integer ifIsolation;

    /**
     * 药物名称
     */
    private String medicine;

    /**
     * 登记人
     */
    private String registerUser;

    /**
     * 当前状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 羊只编码
     */
    private String sheepId;

    private Integer farmId;


}
