package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管理环境监测
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_env_data")
public class ProtEnvData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 生产管理湿度
     */
    private String hum;

    /**
     * 生产管理温度
     */
    private String temp;

    /**
     * 生产管理氨气
     */
    private String nh3n;

    /**
     * 生产管理硫化氢
     */
    private String h2s;

    /**
     * 生产管理照明
     */
    private String lighting;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 牧场编码
     */
    private Integer farmId;

    /**
     * 单元ID
     */
    private Integer unitId;

    /**
     * 单元名称
     */
    private String unitName;


}
