package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管理挑拨转舍
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_transfer")
public class ProtTransfer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 批次编码
     */
    private String batchNum;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 转出位置名称
     */
    private String fromBuildName;

    /**
     * 转出位置id
     */
    private Integer fromBuildId;

    /**
     * 转入位置名称
     */
    private String toBuildName;

    /**
     * 转入位置id
     */
    private Integer toBuildId;

    /**
     * 转舍羊只数量
     */
    private Integer number;

    /**
     * 操作人
     */
    private String registerUser;

    /**
     * 备注
     */
    private String remark;

    /**
     * 牧场编码
     */
    private Integer farmId;


}
