package com.huimv.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.ProtDisease;
import com.huimv.admin.mapper.ProtDiseaseMapper;
import com.huimv.admin.service.IProtDiseaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 生产管理疾病登记 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Service
public class ProtDiseaseServiceImpl extends ServiceImpl<ProtDiseaseMapper, ProtDisease> implements IProtDiseaseService {

    @Autowired
    private ProtDiseaseMapper diseaseMapper;

    @Override
    public Result listPage(Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String startDate = paramsMap.get("startDate");
        String endDate = paramsMap.get("endDate");
        String type = paramsMap.get("type");
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        String sheepId = paramsMap.get("sheepId");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        Page<ProtDisease> page = new Page(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        QueryWrapper<ProtDisease> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).like(StringUtils.isNotBlank(sheepId), "sheep_id", sheepId)
                .between(StringUtils.isNotBlank(startDate), "create_time", startDate + " 00:00:00", endDate + " 23:59:59");
        if (!"0".equals(type)) {
            queryWrapper.eq("status", type);
        }
        return new Result(ResultCode.SUCCESS, diseaseMapper.selectPage(page, queryWrapper));
    }
}
