package com.huimv.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.ProtEnvDevice;
import com.huimv.admin.mapper.ProtEnvDeviceMapper;
import com.huimv.admin.service.IProtEnvDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 生产管理舍内设备 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-08-14
 */
@Service
public class ProtEnvDeviceServiceImpl extends ServiceImpl<ProtEnvDeviceMapper, ProtEnvDevice> implements IProtEnvDeviceService {

    @Autowired
    private ProtEnvDeviceMapper deviceMapper;

    @Override
    public Result listDevice(Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        Page<ProtEnvDevice> page = new Page(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        QueryWrapper<ProtEnvDevice> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId);
        return new Result(ResultCode.SUCCESS, deviceMapper.selectPage(page, queryWrapper));
    }
}
