package com.huimv.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.ProtBatch;
import com.huimv.admin.entity.ProtTransfer;
import com.huimv.admin.mapper.ProtTransferMapper;
import com.huimv.admin.service.IProtTransferService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 生产管理挑拨转舍 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Service
public class ProtTransferServiceImpl extends ServiceImpl<ProtTransferMapper, ProtTransfer> implements IProtTransferService {

    @Autowired
    private ProtTransferMapper transferMapper;

    @Override
    public Result listPage(Map<String, String> paramsMap) {
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        String batchNum = paramsMap.get("batchNum");
        String farmId = paramsMap.get("farmId");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        Page<ProtTransfer> page = new Page(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        QueryWrapper<ProtTransfer> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).like(StringUtils.isNotBlank(batchNum), "batch_num", batchNum);
        return new Result(ResultCode.SUCCESS, transferMapper.selectPage(page, queryWrapper));
    }
}
